/*
 Fade
 Version: 0.3
 Author:  P. Peters
 Date:    May 7, 2013
 
 This program example shows how to fade a LED connected on pin 5
 using the analogWrite() function.

  Anode of the LED is connected to pin 5, the kathode of the LED is connected via
  a series resistor to ground.
 
 This example code is in the public domain.

 Version: 0.5
 Date:    September 27, 2017
 Changed comment and led pin definition to accomodate my hardware

 */

int LEDPIN = 5;        // the pin that the LED is attached to
int brightness = 0;    // how bright the LED is
int fadeAmount = 5;    // how many points to fade the LED by

// the setup routine runs once when you reset:
void setup()  { 
  // declare LED pin to be an output:
  pinMode(LEDPIN, OUTPUT);
} 

// the loop routine runs over and over again forever:
void loop()  { 
  // set the PWM value of the LED pin according to brightness:
  analogWrite(LEDPIN, brightness);    

  // change the brightness for next time through the loop:
  brightness = brightness + fadeAmount;

  // reverse the direction of the fading at when brighntess is at maximum or minimum
  if (brightness == 0 || brightness == 255) { <--- DANGEROUS !!
    fadeAmount = -fadeAmount ; 
  }     
  // wait for 30 milliseconds to see the dimming effect    
  delay(30);                            
}

